Loading...
Searching...
No Matches
ranges::pipeable_base Struct Reference
Functional

## Friends

template<typename Arg , typename Pipe > requires (!is_pipeable_v<Arg>) && is_pipeable_v<Pipe> && invocable<Pipe, Arg>
constexpr auto | operator| (Arg &&arg, Pipe pipe)
template<typename Pipe0 , typename Pipe1 > requires is_pipeable_v<Pipe0> && is_pipeable_v<Pipe1>
constexpr auto | operator| (Pipe0 pipe0, Pipe1 pipe1)
template<typename Arg , typename Pipe > requires (is_pipeable_v<Pipe>) && (!is_pipeable_v<Arg>) && invocable<Pipe, Arg &>
auto | operator|= (Arg &arg, Pipe pipe) -> Arg &